/*
 * avaya.h
 *
 *  Created on: 13/apr/2018
 *      Author: fabrizion
 */


#ifndef AVAYA_H_
#define AVAYA_H_

/** Buttons manager task.
 *
 *  This task handles the buttons SW1-SW4 on XVF3100-LIN33 eval board.
 *
 *  \param p_button             The buttons port.
 */
[[combinable]]
 void buttons_man(
         in port p_button);
//        int p_button);


/** PCM Microphone Process Interface component.
 *
 *  This task handles the interface to up to 4x PCM microphones.
 *  The output is sent via channel to the decimation tasks.
 *
 *  \param c_4x_pdm_mic_process   The input channel for the decimated PDM of microphones 0-3.
 *  \param c_4x_pdm_mic_0         The channel where the decimated PDM of microphones 0-3 will
 *                                be outputted (bypassed).
 */
void mic_array_process(
        streaming chanend c_4x_pdm_mic_process,
        streaming chanend c_4x_pdm_mic_0);


void DelayCoding_Init();
void DelayCoding_Process(int mic);

#endif /* AVAYA_H_ */
